"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.preferredQuantizeSizeForDurations = exports.quantizeSizeArray = exports.GranDuration = exports.TruncateGran = exports.ColumnType = void 0;
var ColumnType;
(function (ColumnType) {
    ColumnType["QUANTIZE_UINT"] = "quantize_uint";
    ColumnType["TRUNCATE_TIMESTAMP"] = "truncate_timestamp";
})(ColumnType = exports.ColumnType || (exports.ColumnType = {}));
var TruncateGran;
(function (TruncateGran) {
    TruncateGran["DAY"] = "day";
    TruncateGran["MONTH"] = "month";
    TruncateGran["QUARTER"] = "quarter";
    TruncateGran["YEAR"] = "year";
})(TruncateGran = exports.TruncateGran || (exports.TruncateGran = {}));
var GranDuration;
(function (GranDuration) {
    GranDuration[GranDuration["MINUTE"] = 60] = "MINUTE";
    GranDuration[GranDuration["THIRTY_MINS"] = 1800] = "THIRTY_MINS";
    GranDuration[GranDuration["HOUR"] = 3600] = "HOUR";
    GranDuration[GranDuration["THREE_HOURS"] = 10800] = "THREE_HOURS";
    GranDuration[GranDuration["SIX_HOURS"] = 21600] = "SIX_HOURS";
    GranDuration[GranDuration["TWELVE_HOURS"] = 43200] = "TWELVE_HOURS";
    GranDuration[GranDuration["DAY"] = 86400] = "DAY";
    GranDuration[GranDuration["WEEK"] = 604800] = "WEEK";
})(GranDuration = exports.GranDuration || (exports.GranDuration = {}));
exports.quantizeSizeArray = [
    GranDuration.MINUTE,
    GranDuration.THIRTY_MINS,
    GranDuration.HOUR,
    GranDuration.THREE_HOURS,
    GranDuration.SIX_HOURS,
    GranDuration.TWELVE_HOURS,
    GranDuration.DAY,
    GranDuration.WEEK,
];
exports.preferredQuantizeSizeForDurations = [
    [GranDuration.HOUR, GranDuration.MINUTE],
    [GranDuration.DAY, GranDuration.HOUR],
    [GranDuration.WEEK, GranDuration.TWELVE_HOURS],
    [GranDuration.DAY * 31, GranDuration.DAY],
    [GranDuration.DAY * 92, GranDuration.DAY],
    [GranDuration.DAY * 366, GranDuration.WEEK],
];
//# sourceMappingURL=virtualColumn.js.map